import json
import os;
import requests;

class IbmToken(object):

    def get_ibm_id_token(self):
        client_id = os.getenv('IBM_KEYCLOAK_CLIENT_ID')
        client_secret = os.getenv('IBM_KEYCLOAK_CLIENT_SECRET')
        username = os.getenv('IBM_AUTH_USER_ACCESS')
        password = os.getenv('IBM_AUTH_USER_ACCESS_PASSWORD')
        url = 'https://' + os.getenv('IBM_KEYCLOAK_URL') + '/auth/realms/OSDU/protocol/openid-connect/token'

        if client_id is None:
            print('Please pass CLIENT_ID to generate token')
            exit(1)
        if client_secret is None:
            print('Please pass CLIENT_SECRET to generate token')
            exit(1)
        if username is None:
            print('Please pass USERNAME to generate token')
            exit(1)
        if password is None:
            print('Please pass PASSWORD to generate token')
            exit(1)
        if url is None:
            print('Please pass KEYCLOAK_TOKEN_URL to generate token')
            exit(1)

        data = {
            "client_id" : client_id,
            "client_secret" : client_secret,
            "username" : username,
            "password" : password,
            "scope" : "openid",
            "grant_type" : "password"
        }

        headers = {
            'Content-Type': 'application/x-www-form-urlencoded'
        }

        try:
            response = requests.post(url, data, headers)
            token = 'Bearer '+ json.loads(response.text).get('access_token')
            print(token)
        except Exception as e:
            print(e)

if __name__ == '__main__':
    IbmToken().get_ibm_id_token()